# viewerCesiumInspectorMixin

#### viewerCesiumInspectorMixin(viewer)
Widgets/Viewer/viewerCesiumInspectorMixin.js 30

  A mixin which adds the CesiumInspector widget to the Viewer widget. Rather than being called directly, this function is normally passed as a parameter to `Viewer#extend`, as shown in the example below.

  Name | Type | Description
  --- | --- | ---
  `viewer` | Viewer | The viewer instance.

  ##### Throws:

  - DeveloperError : viewer is required.

  ##### Example:

      var viewer = new Cesium.Viewer('cesiumContainer');
      viewer.extend(Cesium.viewerCesiumInspectorMixin);

  ##### Demo:

  - Cesium Sandcastle Cesium Inspector Demo